at.chipkarte.client.elgaad.soap

## Class ElgaBenutzer

- Object
- - at.chipkarte.client.elgaad.soap.ElgaBenutzer

-     public class ElgaBenutzer
      extends Object

  Daten eines Benutzers der ELGA (natürliche Person).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElgaBenutzer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNachname()` Nachname des ELGA-Benutzers.
    `String` | `getRolle()` Anzeigetext der Rolle des ELGA-Benutzers.
    `String` | `getTitelHinten()` Titel des ELGA-Benutzers, der hinter dessen Namen gestellt wird.
    `String` | `getTitelVorne()` Titel des ELGA-Benutzers, der vor dessen Namen gestellt wird.
    `String` | `getVorname()` Vorname des ELGA-Benutzers.
    `void` | `setNachname(String nachname)`
    `void` | `setRolle(String rolle)`
    `void` | `setTitelHinten(String titelHinten)`
    `void` | `setTitelVorne(String titelVorne)`
    `void` | `setVorname(String vorname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElgaBenutzer

          public ElgaBenutzer()

  - ### Method Detail

    - #### getRolle

          public String getRolle()

      Anzeigetext der Rolle des ELGA-Benutzers.
      Angabe: Muss.
      Format: maximal 255-stellig

    - #### setRolle

          public void setRolle(String rolle)

    - #### getTitelVorne

          public String getTitelVorne()

      Titel des ELGA-Benutzers, der vor dessen Namen gestellt wird.
      Angabe: Kann.
      Format: maximal 30-stellig

    - #### setTitelVorne

          public void setTitelVorne(String titelVorne)

    - #### getVorname

          public String getVorname()

      Vorname des ELGA-Benutzers.
      Angabe: Kann.
      Format: maximal 70-stellig

    - #### setVorname

          public void setVorname(String vorname)

    - #### getNachname

          public String getNachname()

      Nachname des ELGA-Benutzers.
      Angabe: Kann.
      Format: maximal 70-stellig

    - #### setNachname

          public void setNachname(String nachname)

    - #### getTitelHinten

          public String getTitelHinten()

      Titel des ELGA-Benutzers, der hinter dessen Namen gestellt wird.
      Angabe: Kann.
      Format: maximal 30-stellig

    - #### setTitelHinten

          public void setTitelHinten(String titelHinten)